Index: guiframe/local_perspectives/plotting/Plotter1D.py
===================================================================
--- guiframe/local_perspectives/plotting/Plotter1D.py	(revision accbb1b4365ee0750770a763ba122667f5b63657)
+++ guiframe/local_perspectives/plotting/Plotter1D.py	(revision a436b2e2a8dfa9e7e79e479f728075da0b0b8086)
@@ -307,44 +307,47 @@
         if self.graph.selected_plottable in self.plots:
             plot = self.plots[self.graph.selected_plottable]
-
-            id = wx.NewId()
-            self._slicerpop.Append(id, '&Linear Fit')
-            wx.EVT_MENU(self, id, self.onFitting)
-            self._slicerpop.AppendSeparator()
+            
             id = wx.NewId()
             name = plot.name
             self._slicerpop.Append(id, "&Save Points as a File")
-            wx.EVT_MENU(self, id, self._onSave)
-            id = wx.NewId()
-            self._slicerpop.Append(id, "Remove %s Curve" % name)
-            wx.EVT_MENU(self, id, self._onRemove)
-            if not plot.is_data:
+            self._slicerpop.AppendSeparator()
+            if plot.name != 'SLD':
+                wx.EVT_MENU(self, id, self._onSave)
                 id = wx.NewId()
-                self._slicerpop.Append(id, '&Freeze', 'Freeze')
-                wx.EVT_MENU(self, id, self.onFreeze)
-            symbol_menu = wx.Menu()
-            for label in self._symbol_labels:
+                self._slicerpop.Append(id, '&Linear Fit')
+                wx.EVT_MENU(self, id, self.onFitting)
+                self._slicerpop.AppendSeparator()
+    
                 id = wx.NewId()
-                symbol_menu.Append(id, str(label), str(label))
-                wx.EVT_MENU(self, id, self.onChangeSymbol)
-            id = wx.NewId()
-            self._slicerpop.AppendMenu(id,'&Modify Symbol',  symbol_menu)
-            self._slicerpop.AppendSeparator()
-
-            id = wx.NewId()
-            self.hide_menu = self._slicerpop.Append(id, "Hide Error")
-
-            if plot.dy is not None and plot.dy != []:
-                if plot.hide_error :
-                    self.hide_menu.SetText('Show Error')
+                self._slicerpop.Append(id, "Remove %s Curve" % name)
+                wx.EVT_MENU(self, id, self._onRemove)
+                if not plot.is_data:
+                    id = wx.NewId()
+                    self._slicerpop.Append(id, '&Freeze', 'Freeze')
+                    wx.EVT_MENU(self, id, self.onFreeze)
+                symbol_menu = wx.Menu()
+                for label in self._symbol_labels:
+                    id = wx.NewId()
+                    symbol_menu.Append(id, str(label), str(label))
+                    wx.EVT_MENU(self, id, self.onChangeSymbol)
+                id = wx.NewId()
+                self._slicerpop.AppendMenu(id,'&Modify Symbol',  symbol_menu)
+                self._slicerpop.AppendSeparator()
+    
+                id = wx.NewId()
+                self.hide_menu = self._slicerpop.Append(id, "Hide Error")
+    
+                if plot.dy is not None and plot.dy != []:
+                    if plot.hide_error :
+                        self.hide_menu.SetText('Show Error')
+                    else:
+                        self.hide_menu.SetText('Hide Error')
                 else:
-                    self.hide_menu.SetText('Hide Error')
-            else:
-                self.hide_menu.Enable(False)
-            wx.EVT_MENU(self, id, self._ontoggle_hide_error)
-            
-            self._slicerpop.AppendSeparator()
-            # Option to hide
-            #TODO: implement functionality to hide a plottable (legend click)
+                    self.hide_menu.Enable(False)
+                wx.EVT_MENU(self, id, self._ontoggle_hide_error)
+                
+                self._slicerpop.AppendSeparator()
+                # Option to hide
+                #TODO: implement functionality to hide a plottable (legend click)
         
         
Index: sansview/perspectives/fitting/fitting.py
===================================================================
--- sansview/perspectives/fitting/fitting.py	(revision f22e62691664f677f67545d8230e76e836dd2811)
+++ sansview/perspectives/fitting/fitting.py	(revision a436b2e2a8dfa9e7e79e479f728075da0b0b8086)
@@ -228,8 +228,8 @@
         loader.associate_file_reader(".fitv", self.state_reader)
         #loader.associate_file_reader(".svs", self.state_reader)
-        from sans.perspectives.calculator.sld_panel import SldPanel
+        #from sans.perspectives.calculator.sld_panel import SldPanel
         #Send the fitting panel to guiframe
         self.mypanels.append(self.fit_panel) 
-        self.mypanels.append(SldPanel(parent=self.parent, base=self.parent))
+        #self.mypanels.append(SldPanel(parent=self.parent, base=self.parent))
         return self.mypanels
     
